#125929 Report by node gh-actions covering 204 tests from 59 modules resulted into 1 error

Report

ObsPy version
1.3.0.post0+271.g4fcb7687d7.o…
GitHub Pull Request
-
Report file
JSON document
Total runtime
139.9 sec
Report date/time
2022-06-29 06:10:22

System / Python

Architecture
64bit
Machine
x86_64
Node
gh-actions
Processor
x86_64
Python Compiler
GCC 10.3.0
Python Implementation
CPython
Python Version
3.10.5
Release
5.13.0-1031-azure
System
Linux
Version
#37~20.04.1-Ubuntu SMP Mon Jun 13 22:51:01 UTC 2022

Dependencies

cartopy
0.20.2
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
4.9.0
matplotlib
3.5.2
numpy
1.23.0
obspy
1.3.0.post0+271.g4fcb7687d7.obspy.master
pyproj
3.3.1
pytest
7.1.2
pytest-json-report
1.5.0
requests
2.28.0
scipy
1.8.1
setuptools
62.6.0
shapefile
---
sqlalchemy
1.4.39

Modules (59)

Module Errors / Failures Tracebacks
obspy.clients Not tested -
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem Not tested -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 1
obspy.clients.seedlink - -
obspy.clients.syngine - -
obspy.core Not tested -
obspy.core.event Not tested -
obspy.core.inventory Not tested -
obspy.core.util Not tested -
obspy.geodetics Not tested -
obspy.imaging Not tested -
obspy.io.ah Not tested -
obspy.io.arclink Not tested -
obspy.io.ascii Not tested -
obspy.io.cmtsolution Not tested -
obspy.io.cnv Not tested -
obspy.io.css Not tested -
obspy.io.dmx Not tested -
obspy.io.focmec Not tested -
obspy.io.gcf Not tested -
obspy.io.gse2 Not tested -
obspy.io.hypodd Not tested -
obspy.io.iaspei Not tested -
obspy.io.json Not tested -
obspy.io.kinemetrics Not tested -
obspy.io.kml Not tested -
obspy.io.mseed Not tested -
obspy.io.ndk Not tested -
obspy.io.nied Not tested -
obspy.io.nlloc Not tested -
obspy.io.nordic Not tested -
obspy.io.pdas Not tested -
obspy.io.pde Not tested -
obspy.io.quakeml Not tested -
obspy.io.reftek Not tested -
obspy.io.rg16 Not tested -
obspy.io.sac Not tested -
obspy.io.scardec Not tested -
obspy.io.seg2 Not tested -
obspy.io.segy Not tested -
obspy.io.seisan Not tested -
obspy.io.seiscomp Not tested -
obspy.io.sh Not tested -
obspy.io.shapefile Not tested -
obspy.io.stationtxt Not tested -
obspy.io.stationxml Not tested -
obspy.io.wav Not tested -
obspy.io.win Not tested -
obspy.io.xseed Not tested -
obspy.io.y Not tested -
obspy.io.zmap Not tested -
obspy.realtime Not tested -
obspy.scripts Not tested -
obspy.signal Not tested -
obspy.taup Not tested -
Summary 1 1

Tracebacks (1)

Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 1374, in getresponse
response.begin()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 318, in begin
version, status, reason = self._read_status()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/share/miniconda3/envs/test/lib/python3.10/socket.py", line 705, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/adapters.py", line 489, in send
resp = conn.urlopen(
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 785, in urlopen
retries = retries.increment(
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/util/retry.py", line 550, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/packages/six.py", line 769, in reraise
raise value.with_traceback(tb)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/urllib3/connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 1374, in getresponse
response.begin()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 318, in begin
version, status, reason = self._read_status()
File "/usr/share/miniconda3/envs/test/lib/python3.10/http/client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/share/miniconda3/envs/test/lib/python3.10/socket.py", line 705, in readinto
return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/tests/test_nrl.py", line 32, in setUp
self.nrl_online = NRL(root='http://ds.iris.edu/NRL')
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/client.py", line 294, in __init__
super(self.__class__, self).__init__()
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/client.py", line 65, in __init__
self.dataloggers = self._parse_ini(datalogger_index)
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/client.py", line 111, in _parse_ini
cp = self._get_cp_from_ini(path)
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/client.py", line 316, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
File "/home/runner/work/obspy/obspy/obspy/clients/nrl/client.py", line 301, in _download
r = requests.get(url)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/api.py", line 73, in get
return request("get", url, params=params, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/sessions.py", line 587, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/sessions.py", line 701, in send
r = adapter.send(request, **kwargs)
File "/usr/share/miniconda3/envs/test/lib/python3.10/site-packages/requests/adapters.py", line 547, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

Skipped tests (5)

Submodule Test Skip message
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_eida_token_resolution Skipped: Token is expired
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_trim_stream_after_get_waveform Skipped: data no longer available
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_info Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_issue708 Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_time_window Skipped: test must be started manually

Slowest tests (20)

Runtime Test
12.825s clients/fdsn/tests/test_eidaws_routing_client.py::EIDAWSRoutingClientTestCase::test_get_waveforms_integration_test
10.457s clients/fdsn/tests/test_client.py::ClientTestCase::test_irisph5_event
8.493s clients/syngine/tests/test_client.py::ClientTestCase::test_get_available_models
7.007s clients/fdsn/tests/test_client.py::ClientTestCase::test_dataselect_bulk
6.179s clients/fdsn/tests/test_eidaws_routing_client.py::EIDAWSRoutingClientTestCase::test_get_stations_integration_test
5.060s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_waveforms
4.074s clients/seedlink/tests/test_basic_client.py::ClientTestCase::test_multiple_waveform_requests_with_multiple_info_requests
3.693s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect
3.614s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect_discover_services_false
3.494s clients/syngine/tests/test_client.py::ClientTestCase::test_get_waveforms
3.361s clients/iris/tests/test_client.py::ClientTestCase::test_evalresp
3.283s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms_bulk
2.684s clients/syngine/__init__.py::obspy.clients.syngine
2.459s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms
2.441s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection_auth
2.336s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection
1.824s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_info
1.760s clients/neic/tests/test_client.py::ClientTestCase::test_get_waveform_nscl
1.756s clients/fdsn/mass_downloader/__init__.py::obspy.clients.fdsn.mass_downloader
1.698s clients/iris/tests/test_client.py::ClientTestCase::test_resp

Chuck Norris fact

Chuck Norris doesn't need an OS.